Orxonox: OIS::MacInputManager Class Reference

# OIS::MacInputManager Class Reference

`#include <src/ois/mac/MacInputManager.h>`

Inheritance diagram for OIS::MacInputManager:

List of all members.

## Public Member Functions

EventTargetRef | _getEventTarget ()
| methodfor getting the event target
WindowRef | _getWindow ()
| method for getting window
void | _initialize (ParamList &paramList)
void | _setKeyboardUsed (bool used)
| Internal method, used for flaggin keyboard as available/unavailable for creation.
void | _setMouseUsed (bool used)
| Internal method, used for flaggin mouse as available/unavailable for creation.
Object * | createObject (InputManager *creator, Type iType, bool bufferMode, const std::string &vendor="")
void | destroyObject (Object *obj)
DeviceList | freeDeviceList ()
int | freeDevices (Type iType)
| MacInputManager ()
int | totalDevices (Type iType)
bool | vendorExist (Type iType, const std::string &vendor)
virtual | ~MacInputManager ()

## Protected Member Functions

void | _enumerateDevices ()
void | _parseConfigSettings (ParamList &paramList)

## Protected Attributes

bool | keyboardUsed
| Used to know if we used up keyboard.
EventTargetRef | mEventTargetRef
bool | mHideMouse
MacHIDManager * | mHIDManager
| HID Manager class handling devices other than keyboard/mouse.
bool | mouseUsed
| Used to know if we used up mouse.
bool | mUseRepeat
WindowRef | mWindow

## Static Protected Attributes

static const std::string | iName

## Constructor & Destructor Documentation

MacInputManager::MacInputManager | ( |  | ) |

References keyboardUsed, mEventTargetRef, OIS::InputManager::mFactories, mHideMouse, mHIDManager, mouseUsed, mUseRepeat, and mWindow.

MacInputManager::~MacInputManager | ( |  | ) | `[virtual]`

References mHIDManager.

## Member Function Documentation

void MacInputManager::_enumerateDevices | ( |  | ) | `[protected]`

Referenced by _initialize().

EventTargetRef OIS::MacInputManager::_getEventTarget | ( |  | ) | `[inline]`

methodfor getting the event target

References mEventTargetRef.

WindowRef OIS::MacInputManager::_getWindow | ( |  | ) | `[inline]`

method for getting window

References mWindow.

Referenced by OIS::MacMouse::_initialize(), and OIS::MacMouse::_mouseCallback().

void MacInputManager::_initialize | ( | ParamList & | paramList | ) | `[virtual]`

Remarks:
  Called from createInputSystem, gives derived input class a chance to setup after it is created

Implements OIS::InputManager.

References _enumerateDevices(), _parseConfigSettings(), OIS::MacHIDManager::initialize(), and mHIDManager.

void MacInputManager::_parseConfigSettings | ( | ParamList & | paramList | ) | `[protected]`

References OIS::E_General, mEventTargetRef, mUseRepeat, mWindow, and OIS_EXCEPT.

Referenced by _initialize().

void OIS::MacInputManager::_setKeyboardUsed | ( | bool | used | ) | `[inline]`

Internal method, used for flaggin keyboard as available/unavailable for creation.

References keyboardUsed.

void OIS::MacInputManager::_setMouseUsed | ( | bool | used | ) | `[inline]`

Internal method, used for flaggin mouse as available/unavailable for creation.

References mouseUsed.

Object * MacInputManager::createObject | ( | InputManager * | creator,
|  | Type | iType,
|  | bool | bufferMode,
|  | const std::string & | vendor = `""` |
| ) |  |  | `[virtual]`

Remarks:
  Creates the object

Parameters:

  | iType | Type to create
  | bufferMode | True to setup for buffered events
  | vendor | Create a device with the vendor name, "" means vendor name is unimportant

Implements OIS::FactoryCreator.

References OIS::E_InputDeviceNonExistant, keyboardUsed, mouseUsed, mUseRepeat, OIS_EXCEPT, OIS::OISKeyboard, and OIS::OISMouse.

void MacInputManager::destroyObject | ( | Object * | obj | ) | `[virtual]`

Remarks:
  Destroys object

Parameters:

  | obj | Object to destroy

Implements OIS::FactoryCreator.

DeviceList MacInputManager::freeDeviceList | ( |  | ) | `[virtual]`

Implements OIS::FactoryCreator.

References keyboardUsed, OIS::InputManager::mInputSystemName, mouseUsed, OIS::OISKeyboard, and OIS::OISMouse.

int MacInputManager::freeDevices | ( | Type | iType | ) | `[virtual]`

Remarks:
  Number of free devices of requested type

Parameters:

  | iType | Type of devices to check

Implements OIS::FactoryCreator.

References keyboardUsed, mouseUsed, OIS::OISKeyboard, and OIS::OISMouse.

int MacInputManager::totalDevices | ( | Type | iType | ) | `[virtual]`

Remarks:
  Number of total devices of requested type

Parameters:

  | iType | Type of devices to check

Implements OIS::FactoryCreator.

References OIS::OISKeyboard, and OIS::OISMouse.

bool MacInputManager::vendorExist | ( | Type | iType,
|  | const std::string & | vendor |
| ) |  |  | `[virtual]`

Remarks:
  Does a Type exist with the given vendor name

Parameters:

  | iType | Type to check
  | vendor | Vendor name to test

Implements OIS::FactoryCreator.

References OIS::InputManager::mInputSystemName, OIS::OISKeyboard, and OIS::OISMouse.

## Member Data Documentation

const std::string OIS::MacInputManager::iName`[static, protected]`

bool OIS::MacInputManager::keyboardUsed`[protected]`

Used to know if we used up keyboard.

Referenced by _setKeyboardUsed(), createObject(), freeDeviceList(), freeDevices(), and MacInputManager().

EventTargetRef OIS::MacInputManager::mEventTargetRef`[protected]`

Referenced by _getEventTarget(), _parseConfigSettings(), and MacInputManager().

bool OIS::MacInputManager::mHideMouse`[protected]`

Referenced by MacInputManager().

MacHIDManager* OIS::MacInputManager::mHIDManager`[protected]`

HID Manager class handling devices other than keyboard/mouse.

Referenced by _initialize(), MacInputManager(), and ~MacInputManager().

bool OIS::MacInputManager::mouseUsed`[protected]`

Used to know if we used up mouse.

Referenced by _setMouseUsed(), createObject(), freeDeviceList(), freeDevices(), and MacInputManager().

bool OIS::MacInputManager::mUseRepeat`[protected]`

Referenced by _parseConfigSettings(), createObject(), and MacInputManager().

WindowRef OIS::MacInputManager::mWindow`[protected]`

Referenced by _getWindow(), _parseConfigSettings(), and MacInputManager().

The documentation for this class was generated from the following files:

- src/ois/mac/MacInputManager.h
- src/ois/mac/MacInputManager.cpp